Index: trunk/source/Lib/TLibRenderer/TRenSingleModel.cpp
===================================================================
--- trunk/source/Lib/TLibRenderer/TRenSingleModel.cpp	(revision 130)
+++ trunk/source/Lib/TLibRenderer/TRenSingleModel.cpp	(revision 189)
@@ -44,8 +44,6 @@
   m_iHeight = -1;
   m_iStride = -1;
-#if FIX_VSO_SETUP
   m_iUsedHeight = -1; 
   m_iHorOffset  = -1; 
-#endif
   m_iMode   = -1;
   m_iPad    = PICYUV_PAD;
@@ -104,11 +102,6 @@
   if ( m_pcInputSamples [1] ) delete[] m_pcInputSamples [1];
 
-#if FIX_MEM_LEAKS
   if ( m_pcOutputSamples    ) delete[] m_pcOutputSamples   ;
-#else
-  if ( m_pcOutputSamples    ) delete   m_pcOutputSamples   ;
-#endif
-
-#if FIX_MEM_LEAKS
+
   if ( m_piInvZLUTLeft  ) delete[] m_piInvZLUTLeft ;
   if ( m_piInvZLUTRight ) delete[] m_piInvZLUTRight;
@@ -117,5 +110,4 @@
   if ( m_aapiRefVideoPel[1] ) delete[] ( m_aapiRefVideoPel[1] - ( m_aiRefVideoStrides[1] * m_iPad + m_iPad ) );
   if ( m_aapiRefVideoPel[2] ) delete[] ( m_aapiRefVideoPel[2] - ( m_aiRefVideoStrides[2] * m_iPad + m_iPad ) );
-#endif
 }
 
@@ -197,9 +189,5 @@
   Int iOffsetX = ( iViewPos == VIEWPOS_RIGHT ) ? 1 : 0;
 
-#if FIX_VSO_SETUP
   for ( Int iPosY = 0; iPosY < m_iUsedHeight; iPosY++ )
-#else
-  for ( Int iPosY = 0; iPosY < m_iHeight; iPosY++ )
-#endif
   {
     if ( iViewPos == VIEWPOS_RIGHT )
@@ -245,5 +233,4 @@
 
 }
-#if FIX_VSO_SETUP
 template <BlenMod iBM, Bool bBitInc> Void
 TRenSingleModelC<iBM,bBitInc>::setupPart ( UInt uiHorOffset,       Int iUsedHeight )
@@ -254,12 +241,7 @@
   m_iHorOffset  = (Int) uiHorOffset;
 }
-#endif
 
 template <BlenMod iBM, Bool bBitInc> Void
-#if FIX_VSO_SETUP
 TRenSingleModelC<iBM,bBitInc>::setup( TComPicYuv* pcOrgVideo, Int** ppiShiftLutLeft, Int** ppiBaseShiftLutLeft, Int** ppiShiftLutRight,  Int** ppiBaseShiftLutRight,  Int iDistToLeft, Bool bKeepReference )
-#else
-TRenSingleModelC<iBM,bBitInc>::setup( TComPicYuv* pcOrgVideo, Int** ppiShiftLutLeft, Int** ppiBaseShiftLutLeft, Int** ppiShiftLutRight,  Int** ppiBaseShiftLutRight,  Int iDistToLeft, Bool bKeepReference, UInt uiHorOff )
-#endif
 {
   AOT( !m_bUseOrgRef && pcOrgVideo );
@@ -275,13 +257,7 @@
   if ( pcOrgVideo && !bKeepReference )
   {
-#if FIX_VSO_SETUP
     TRenFilter::copy(             pcOrgVideo->getLumaAddr() +  m_iHorOffset       * pcOrgVideo->getStride() , pcOrgVideo->getStride() , m_iWidth,      m_iUsedHeight,      m_aapiRefVideoPel[0], m_aiRefVideoStrides[0]);
     TRenFilter::sampleCUpHorUp(0, pcOrgVideo->getCbAddr()   + (m_iHorOffset >> 1) * pcOrgVideo->getCStride(), pcOrgVideo->getCStride(), m_iWidth >> 1, m_iUsedHeight >> 1, m_aapiRefVideoPel[1], m_aiRefVideoStrides[1]);
     TRenFilter::sampleCUpHorUp(0, pcOrgVideo->getCrAddr()   + (m_iHorOffset >> 1) * pcOrgVideo->getCStride(), pcOrgVideo->getCStride(), m_iWidth >> 1, m_iUsedHeight >> 1, m_aapiRefVideoPel[2], m_aiRefVideoStrides[2]);    
-#else
-    TRenFilter::copy(             pcOrgVideo->getLumaAddr() +  uiHorOff       * pcOrgVideo->getStride() , pcOrgVideo->getStride() , m_iWidth,      m_iHeight,      m_aapiRefVideoPel[0], m_aiRefVideoStrides[0]);
-    TRenFilter::sampleCUpHorUp(0, pcOrgVideo->getCbAddr()   + (uiHorOff >> 1) * pcOrgVideo->getCStride(), pcOrgVideo->getCStride(), m_iWidth >> 1, m_iHeight >> 1, m_aapiRefVideoPel[1], m_aiRefVideoStrides[1]);
-    TRenFilter::sampleCUpHorUp(0, pcOrgVideo->getCrAddr()   + (uiHorOff >> 1) * pcOrgVideo->getCStride(), pcOrgVideo->getCStride(), m_iWidth >> 1, m_iHeight >> 1, m_aapiRefVideoPel[2], m_aiRefVideoStrides[2]);    
-#endif
     xSetStructRefView();
   }
@@ -290,5 +266,4 @@
   xResetStructError();
   xInitSampleStructs();
-#if FIX_VSO_SETUP
   switch ( m_iMode )
   {  
@@ -320,35 +295,4 @@
     AOT(true);
   }
-#else
-  switch ( m_iMode )
-  {  
-  case 0:   
-#if LGE_VSO_EARLY_SKIP_A0093
-    xRenderL<true>( 0, 0, m_iWidth, m_iHeight, m_aiBaseDepthStrides[0], m_apiBaseDepthPel[0],false );
-#else
-    xRenderL<true>( 0, 0, m_iWidth, m_iHeight, m_aiBaseDepthStrides[0], m_apiBaseDepthPel[0] );
-#endif   
-    break;
-  case 1:    
-#ifdef LGE_VSO_EARLY_SKIP_A0093
-    xRenderR<true>( 0, 0, m_iWidth, m_iHeight, m_aiBaseDepthStrides[1], m_apiBaseDepthPel[1],false);
-#else
-    xRenderR<true>( 0, 0, m_iWidth, m_iHeight, m_aiBaseDepthStrides[1], m_apiBaseDepthPel[1] );
-#endif
-    break;
-  case 2:
-    TRenFilter::setupZLUT( true, 30, iDistToLeft, ppiBaseShiftLutLeft, ppiBaseShiftLutRight, m_iBlendZThres, m_iBlendDistWeight, m_piInvZLUTLeft, m_piInvZLUTRight );
-#ifdef LGE_VSO_EARLY_SKIP_A0093
-    xRenderL<true>( 0, 0, m_iWidth, m_iHeight, m_aiBaseDepthStrides[0], m_apiBaseDepthPel[0],false);
-    xRenderR<true>( 0, 0, m_iWidth, m_iHeight, m_aiBaseDepthStrides[1], m_apiBaseDepthPel[1],false);
-#else      
-    xRenderL<true>( 0, 0, m_iWidth, m_iHeight, m_aiBaseDepthStrides[0], m_apiBaseDepthPel[0] );
-    xRenderR<true>( 0, 0, m_iWidth, m_iHeight, m_aiBaseDepthStrides[1], m_apiBaseDepthPel[1] );
-#endif
-    break;
-  default:
-    AOT(true);
-  }
-#endif
 
   // Get Rendered View as Reference
@@ -413,9 +357,5 @@
 #endif  
 
-#if FIX_VSO_SETUP
   for ( Int iPosY = 0; iPosY < m_iUsedHeight; iPosY++ )
-#else
-  for ( Int iPosY = 0; iPosY < m_iHeight; iPosY++ )
-#endif
   {
     for ( Int iPosX = 0; iPosX < m_iWidth; iPosX++ )
@@ -470,9 +410,5 @@
 #endif
 
-#if FIX_VSO_SETUP
   for ( Int iPosY = 0; iPosY < m_iUsedHeight; iPosY++ )
-#else
-  for ( Int iPosY = 0; iPosY < m_iHeight; iPosY++ )
-#endif
   {
     for ( Int iPosX = 0; iPosX < m_iWidth; iPosX++ )
@@ -617,5 +553,4 @@
 }
 
-#if FIX_VSO_SETUP
 template <BlenMod iBM, Bool bBitInc> Void
 TRenSingleModelC<iBM,bBitInc>::getSynthVideo( Int iViewPos, TComPicYuv* pcPicYuv )
@@ -648,38 +583,5 @@
 #endif  
 }
-#else
-template <BlenMod iBM, Bool bBitInc> Void
-TRenSingleModelC<iBM,bBitInc>::getSynthVideo( Int iViewPos, TComPicYuv* pcPicYuv, UInt uiHorOffset )
-{  
-  AOT( pcPicYuv->getWidth() != m_iWidth );
-  AOT( pcPicYuv->getHeight() > m_iHeight + uiHorOffset );
-
-#if HHI_VSO_COLOR_PLANES
-  Pel RenModelOutPels::* piText[3] = { NULL, NULL, NULL };
-  xGetSampleStrTextPtrs(iViewPos, piText[0], piText[1], piText[2]); 
-
-  // Temp image for chroma down sampling
-  PelImage cTempImage( m_iWidth, m_iHeight, 3, 0);
-
-  Int  aiStrides[3]; 
-  Pel* apiData  [3]; 
-
-  cTempImage.getDataAndStrides( apiData, aiStrides ); 
-
-  for (UInt uiCurPlane = 0; uiCurPlane < 3; uiCurPlane++ )
-  {
-    xCopyFromSampleStruct( m_pcOutputSamples, m_iOutputSamplesStride, piText[uiCurPlane], apiData[uiCurPlane], aiStrides[uiCurPlane] , m_iWidth, m_iHeight);
-  }  
-  xCopy2PicYuv( apiData, aiStrides, pcPicYuv, uiHorOffset );
-#else
-  Pel RenModelOutPels::* piY;
-  xGetSampleStrTextPtrs(iViewPos, piY); 
-  xCopyFromSampleStruct( m_pcOutputSamples, m_iOutputSamplesStride, piY, pcPicYuv->getLumaAddr() + uiHorOffset * pcPicYuv->getStride(), pcPicYuv->getStride(), m_iWidth, m_iHeight );
-  pcPicYuv->setChromaTo( 128 << g_uiBitIncrement );   
-#endif  
-}
-#endif
-
-#if FIX_VSO_SETUP
+
 template <BlenMod iBM, Bool bBitInc> Void
 TRenSingleModelC<iBM,bBitInc>::getSynthDepth( Int iViewPos, TComPicYuv* pcPicYuv )
@@ -695,20 +597,5 @@
 }
 
-#else
-template <BlenMod iBM, Bool bBitInc> Void
-TRenSingleModelC<iBM,bBitInc>::getSynthDepth( Int iViewPos, TComPicYuv* pcPicYuv, UInt uiHorOff )
-{  
-  AOT( iViewPos != 0 && iViewPos != 1); 
-  AOT( pcPicYuv->getWidth()  != m_iWidth  );
-  AOT( pcPicYuv->getHeight() > m_iHeight + uiHorOff );
-
-  Pel RenModelOutPels::* piD = 0;
-  xGetSampleStrDepthPtrs(iViewPos, piD); 
-  xCopyFromSampleStruct( m_pcOutputSamples, m_iOutputSamplesStride, piD, pcPicYuv->getLumaAddr() + pcPicYuv->getStride() * uiHorOff, pcPicYuv->getStride(), m_iWidth, m_iHeight );
-  pcPicYuv->setChromaTo( 128 << g_uiBitIncrement );   
-}
-#endif
-
-#if FIX_VSO_SETUP
+
 template <BlenMod iBM, Bool bBitInc> Void
 TRenSingleModelC<iBM,bBitInc>::getRefVideo ( Int iViewPos, TComPicYuv* pcPicYuv )
@@ -742,37 +629,4 @@
 #endif  
 }
-#else
-template <BlenMod iBM, Bool bBitInc> Void
-TRenSingleModelC<iBM,bBitInc>::getRefVideo ( Int iViewPos, TComPicYuv* pcPicYuv, UInt uiHorOffset )
-{  
-  AOT( pcPicYuv->getWidth()  != m_iWidth  );
-  AOT( pcPicYuv->getHeight() >  m_iHeight + uiHorOffset);
-
-#if HHI_VSO_COLOR_PLANES
-  Pel RenModelOutPels::* piText[3];
-  piText[0] = &RenModelOutPels::iYRef;
-  piText[1] = &RenModelOutPels::iURef;
-  piText[2] = &RenModelOutPels::iVRef;
-
-  // Temp image for chroma down sampling
-
-  PelImage cTempImage( m_iWidth, m_iHeight, 3, 0);
-  Int  aiStrides[3]; 
-  Pel* apiData  [3]; 
-
-  cTempImage.getDataAndStrides( apiData, aiStrides ); 
-
-  for (UInt uiCurPlane = 0; uiCurPlane < 3; uiCurPlane++ )
-  {
-    xCopyFromSampleStruct( m_pcOutputSamples, m_iOutputSamplesStride, piText[uiCurPlane], apiData[uiCurPlane], aiStrides[uiCurPlane] , m_iWidth, m_iHeight);
-  } 
-
-  xCopy2PicYuv( apiData, aiStrides, pcPicYuv, uiHorOffset );
-#else
-  xCopyFromSampleStruct( m_pcOutputSamples, m_iOutputSamplesStride, &RenModelOutPels::iYRef, pcPicYuv->getLumaAddr() *  pcPicYuv->getStride() + uiHorOffset, pcPicYuv->getStride(), m_iWidth, m_iHeight );
-  pcPicYuv->setChromaTo( 128 << g_uiBitIncrement );   
-#endif  
-}
-#endif
 
 template <BlenMod iBM, Bool bBitInc> RMDist
@@ -2018,5 +1872,4 @@
 }
 
-#if FIX_VSO_SETUP
 template <BlenMod iBM, Bool bBitInc> Void
 TRenSingleModelC<iBM,bBitInc>::xCopy2PicYuv( Pel** ppiSrcVideoPel, Int* piStrides, TComPicYuv* rpcPicYuvTarget )
@@ -2026,13 +1879,4 @@
   TRenFilter::sampleDown2Tap13( ppiSrcVideoPel[2], piStrides[2], m_iWidth, m_iUsedHeight, rpcPicYuvTarget->getCrAddr  () + (m_iHorOffset >> 1) * rpcPicYuvTarget->getCStride(), rpcPicYuvTarget->getCStride() );
 }
-#else
-template <BlenMod iBM, Bool bBitInc> Void
-TRenSingleModelC<iBM,bBitInc>::xCopy2PicYuv( Pel** ppiSrcVideoPel, Int* piStrides, TComPicYuv* rpcPicYuvTarget, UInt uiHorOffset )
-{
-  TRenFilter::copy            ( ppiSrcVideoPel[0], piStrides[0], m_iWidth, m_iHeight, rpcPicYuvTarget->getLumaAddr() +  uiHorOffset       * rpcPicYuvTarget->getStride() , rpcPicYuvTarget->getStride () );
-  TRenFilter::sampleDown2Tap13( ppiSrcVideoPel[1], piStrides[1], m_iWidth, m_iHeight, rpcPicYuvTarget->getCbAddr  () + (uiHorOffset >> 1) * rpcPicYuvTarget->getCStride(), rpcPicYuvTarget->getCStride() );
-  TRenFilter::sampleDown2Tap13( ppiSrcVideoPel[2], piStrides[2], m_iWidth, m_iHeight, rpcPicYuvTarget->getCrAddr  () + (uiHorOffset >> 1) * rpcPicYuvTarget->getCStride(), rpcPicYuvTarget->getCStride() );
-}
-#endif
 
 template class TRenSingleModelC<BLEND_NONE ,true>;
Index: trunk/source/Lib/TLibRenderer/TRenSingleModel.h
===================================================================
--- trunk/source/Lib/TLibRenderer/TRenSingleModel.h	(revision 130)
+++ trunk/source/Lib/TLibRenderer/TRenSingleModel.h	(revision 189)
@@ -69,7 +69,5 @@
 public: 
 
-#if FIX_VIRT_DESTRUCTOR
   virtual ~TRenSingleModel() { }  
-#endif
 #if LGE_VSO_EARLY_SKIP_A0093
   virtual Void   create    ( Int iMode, Int iWidth, Int iHeight, Int iShiftPrec, Int*** aaaiSubPelShiftTable, Int iHoleMargin, Bool bUseOrgRef, Int iBlendMode, Bool bEarlySkip ) = 0;
@@ -80,10 +78,6 @@
   // Set Frame dependent data
   virtual Void   setLRView ( Int iViewPos, Pel** apiCurVideoPel, Int* aiCurVideoStride, Pel* piCurDepthPel, Int iCurDepthStride ) = 0;
-#if FIX_VSO_SETUP
   virtual Void   setupPart ( UInt uiHorOffset,       Int iUsedHeight ) = 0;
   virtual Void   setup     ( TComPicYuv* pcOrgVideo, Int** ppiShiftLutLeft, Int** ppiBaseShiftLutLeft, Int** ppiShiftLutRight,  Int** ppiBaseShiftLutRight,  Int iDistToLeft, Bool bKeepReference ) = 0;
-#else
-  virtual Void   setup     ( TComPicYuv* pcOrgVideo, Int** ppiShiftLutLeft, Int** ppiBaseShiftLutLeft, Int** ppiShiftLutRight,  Int** ppiBaseShiftLutRight,  Int iDistToLeft, Bool bKeepReference, UInt uiHorOffset ) = 0;
-#endif
 
   // Set Data
@@ -103,13 +97,7 @@
   virtual RMDist getDistVideo  ( Int iViewPos, Int iPlane, Int iStartPosX, Int iStartPosY, Int iWidth, Int iHeight, Int iStride, Pel* piNewData ) = 0;
 
-#if FIX_VSO_SETUP
   virtual Void   getSynthVideo  ( Int iViewPos, TComPicYuv* pcPicYuv ) = 0;  
   virtual Void   getSynthDepth  ( Int iViewPos, TComPicYuv* pcPicYuv ) = 0;
   virtual Void   getRefVideo    ( Int iViewPos, TComPicYuv* pcPicYuv ) = 0;
-#else
-  virtual Void   getSynthVideo  ( Int iViewPos, TComPicYuv* pcPicYuv, UInt uiHorOffset  ) = 0;  
-  virtual Void   getSynthDepth  ( Int iViewPos, TComPicYuv* pcPicYuv, UInt uiHorOffset  ) = 0;
-  virtual Void   getRefVideo    ( Int iViewPos, TComPicYuv* pcPicYuv, UInt uiHorOffset  ) = 0;
-#endif
 };
 
@@ -181,10 +169,6 @@
   // Set Frame dependent data
   Void   setLRView ( Int iViewPos, Pel** apiCurVideoPel, Int* aiCurVideoStride, Pel* piCurDepthPel, Int iCurDepthStride );
-#if FIX_VSO_SETUP
   Void   setupPart ( UInt uiHorOffset,       Int uiUsedHeight );
   Void   setup     ( TComPicYuv* pcOrgVideo, Int** ppiShiftLutLeft, Int** ppiBaseShiftLutLeft, Int** ppiShiftLutRight,  Int** ppiBaseShiftLutRight,  Int iDistToLeft, Bool bKeepReference );
-#else
-  Void   setup     ( TComPicYuv* pcOrgVideo, Int** ppiShiftLutLeft, Int** ppiBaseShiftLutLeft, Int** ppiShiftLutRight,  Int** ppiBaseShiftLutRight,  Int iDistToLeft, Bool bKeepReference, UInt uiHorOffset );
-#endif
 
 #if LGE_VSO_EARLY_SKIP_A0093
@@ -203,13 +187,7 @@
   RMDist getDistVideo  ( Int iViewPos, Int iPlane, Int iStartPosX, Int iStartPosY, Int iWidth, Int iHeight, Int iStride, Pel* piNewData );
 
-#if FIX_VSO_SETUP
   Void   getSynthVideo  ( Int iViewPos, TComPicYuv* pcPicYuv );  
   Void   getSynthDepth  ( Int iViewPos, TComPicYuv* pcPicYuv );
   Void   getRefVideo    ( Int iViewPos, TComPicYuv* pcPicYuv );
-#else
-  Void   getSynthVideo  ( Int iViewPos, TComPicYuv* pcPicYuv, UInt uiHorOffset );  
-  Void   getSynthDepth  ( Int iViewPos, TComPicYuv* pcPicYuv, UInt uiHorOffset  );
-  Void   getRefVideo    ( Int iViewPos, TComPicYuv* pcPicYuv, UInt uiHorOffset  );
-#endif
 
 private:
@@ -293,19 +271,11 @@
   Void            xInitSampleStructs           ();
   Void            xSetStructSynthViewAsRefView ();
-#if FIX_VSO_SETUP
   Void            xCopy2PicYuv                ( Pel** ppiSrcVideoPel, Int* piStrides, TComPicYuv* rpcPicYuvTarget );
-#else
-  Void            xCopy2PicYuv                ( Pel** ppiSrcVideoPel, Int* piStrides, TComPicYuv* rpcPicYuvTarget, UInt uiHorOffset );
-#endif
 
   template< typename S, typename T> 
   Void   xCopyFromSampleStruct ( S* ptSource , Int iSourceStride, T S::* ptSourceElement, T* ptTarget, Int iTargetStride, Int iWidth, Int iHeight )
   {
-#if FIX_VSO_SETUP
     AOT( iWidth != m_iWidth ); 
     for (Int iPosY = 0; iPosY < iHeight; iPosY++)
-#else
-    for (Int iPosY = 0; iPosY < m_iHeight; iPosY++)
-#endif
     {
       for (Int iPosX = 0; iPosX < m_iWidth; iPosX++)
@@ -321,10 +291,6 @@
   Void   xCopyToSampleStruct ( T* ptSource , Int iSourceStride, S* ptTarget, Int iTargetStride, T S::* ptSourceElement, Int iWidth, Int iHeight )
   {
-#if FIX_VSO_SETUP
     AOT( iWidth != m_iWidth ); 
     for (Int iPosY = 0; iPosY < iHeight; iPosY++)
-#else
-    for (Int iPosY = 0; iPosY < m_iHeight; iPosY++)
-#endif
     {
       for (Int iPosX = 0; iPosX < m_iWidth; iPosX++)
@@ -344,14 +310,8 @@
   Int   m_iStride;
   Int   m_iPad;
-#if FIX_VSO_SETUP
   Int   m_iUsedHeight;
   Int   m_iHorOffset; 
-#endif
 
   Int   m_iSampledWidth;
-#if FIX_VSO_SETUP
-#else
-  Int   m_iSampledHeight;
-#endif
   Int   m_iSampledStride;
 
